PowerPoint to Flash 1.6 End-User License Agreement
Copyright(c) 2003-2004 Dreamingsoft, Inc.
All Rights Reserved

Installing and using this Software signifies acceptance of these terms and conditions of the license. If you do not agree with the terms of this license, you must remove this Software from your storage devices and cease to use this product.

The Software is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The Software is licensed, not sold and always remains the property of Dreamingsoft, Inc.

DEFINITIONS
For the purpose of this Agreement, "Software" shall mean the software identified above, including but not limited to any updates, modifications, revisions, copies, and associated documentation provided by Dreamingsoft, Inc.

GRANT OF LICENSE
Evaluation Terms and Conditions
You may use this Software solely for evaluation purposes without charge for a period of thirty (30) uses. You are free to distribute exact copies of the Software to anyone. You are prohibited from selling, or requesting donations, for any copies of the Software you distribute. You must include a copy of this license with any copy of the Software. You may not remove or alter any identification, proprietary notice, label, or trademarks which appear on or in the Software. Continued use of the Software after the thirty (30) use evaluation period requires purchase of a full license. For more information about payment methods, please see ORDER.TXT, included with the Software.

Full License Terms and Conditions
Once registered, you are granted a non-exclusive license to use the Software on one or more computers, or allow multiple persons to nonsimultaneously use the Software on a single computer, but not both. This is not a concurrent use license. If the Software is installed on a network server and accessed by multiple workstations, you must purchase a license for each computer on which the Software is used. You may not provide third parties access to the Software in connection with a service bureau, application service provider, or similar business. The registered Software may not be rented or leased but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.

All rights of any kind in the Software which are not expressly granted in this license are entirely and exclusively reserved to and by Dreamingsoft, Inc.

RESTRICTIONS
THE SOFTWARE CANNOT BE MODIFIED. YOU MAY NOT DECOMPILE, DISASSEMBLE OR OTHERWISE ATTEMPT TO ACCESS THE SOURCE CODE OF THE SOFTWARE; EXCEPT AND ONLY TO THE EXTENT PERMITTED APPLICABLE LAW NOTWITHSTANDING THIS LIMITATION.

The information contained in the Software is confidential and proprietary to Dreamingsoft, Inc., and Dreamingsoft, Inc. retain title to all copyright, patent, trademark, trade secrets, and other proprietary rights embodied in or related to the Software.

TERMINATION
Failure to comply with any provision provided in this Agreement or the use of the Software in a way not authorized or permitted under this Agreement will result in an automatic termination of this license.

Dreamingsoft, Inc. may, at its sole discretion, terminate this Agreement, the license granted herein, and your right to use or access the Software at any time.

On termination, you must destroy all copies of the Software.

UPGRADES, MAINTENANCE AND SUPPORT
During the term of this Agreement, Dreamingsoft, Inc. is under no obligation to provide upgrades, maintenance, or installation for the Software. Dreamingsoft, Inc. may provide support for the Software as governed by the documentation, and other Dreamingsoft, Inc. materials related to and included with the Software. Dreamingsoft, Inc. reserves the right to revoke or modify support provided for the Software at any time, for any or no reason.

DISCLAIMER OF WARRANTY
THE SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY WARRANTY OF QUALITY, MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE. DREAMINGSOFT, INC. DOES NOT WARRANT THAT THE SOFTWARE WILL MEET YOUR REQUIREMENTS, OR THAT IT WILL OPERATE UNINTERRUPTED OR ERROR-FREE.

NOTHING IN THIS AGREEMENT SHALL BE CONSTRUED AS A WARRANTY OR A REPRESENTATION BY DREAMINGSOFT, INC. THAT THE SOFTWARE WILL BE FREE FROM INFRINGEMENT OF THE INTELLECTUAL PROPERTY RIGHTS OF A THIRD PARTY. DREAMINGSOFT, INC. HEREBY EXPRESSLY DISCLAIMS AND SHALL NOT BE RESPONSIBLE FOR ANY LIABILITY ARISING AS A RESULT OF OR IN CONNECTION WITH ANY CLAIM OR SUIT ALLEGING THAT THE DISTRIBUTION OR USE OF THE SOFTWARE INFRINGES THE RIGHT OF ANY THIRD PARTY.

IN NO EVENT WILL DREAMINGSOFT, INC. BE LIABLE FOR LOSS OF DATA, COSTS OF PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES OR ANY SPECIAL, CONSEQUENTIAL OR INCIDENTAL DAMAGES, UNDER ANY CAUSE OF ACTION AND REGARDLESS OF WHETHER OR NOT DREAMINGSOFT, INC. HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. THIS LIMITATION WILL APPLY NOTWITHSTANDING ANY FAILURE OF ESSENTIAL PURPOSE OF ANY LIMITED REMEDY PROVIDED HEREIN. IN ANY EVENT, DREAMINGSOFT, INC.'S LIABILITY ARISING OUT OF THIS AGREEMENT, THE TERMINATION THEREOF, AND/OR THE PROVISION OF GOODS OR SERVICES HEREUNDER WILL BE LIMITED TO THE GREATER OF U.S. $1.00 OR THE AMOUNT PAID BY YOU FOR THE LICENSED SOFTWARE.

Copyright © 2003-2004 Dreamingsoft, Inc.
All rights reserved.


What's new

Version 1.6 Released on Mar 26, 2004

  • Support converting speaker notes.
  • Support scalable Flash content.
  • Support generating multiple HTML files, if you choose separate output mode.
  • Support Microsoft PowerPoint 97.

Version 1.5 Released on Dec 12, 2003

  • Support to hide the slide show control.
  • Support to read timing information from original PPT file.
  • Support fading transition effect.
  • Support multiple resolutions.
  • Support outputting separated SWF files, each file contains only one slide.
  • Support customizing JPEG output quality.
  • Added option to disable the print menu of Flash player.
  • Added option to insert a blank page at the end of slides.
  • Added option to avoid opening the folder when finished.
  • Added option to generate the wrapping HTML file, for easier web publish.
  • Added option to generate the autorun.inf file for easier CD Burning.

Version 1.0

  • First public release - Sept 8, 2003


What is PowerPoint to Flash?

PowerPoint to Flash enables you to transfer bulk PowerPoint presentations into Flash, the world's most popular platform independent format.

The PowerPoint presentations can only be played back on the computer with Microsoft PowerPoint installed. Converting them into Flash enables your presentations to be played back every where, Windows, Linux, Macintosh and even Handheld PCs!

Instead of rebuilding all the presentations yourself, let your computer do it automatically with just a click on the Start button. Why not get more time to stay with your kids and enjoy your life?

Your skills on composing presentations with PowerPoint are not obsolete, just continue making your presentations with PowerPoint, and then covert them into Flash later.


Benefits

Sharing the presentations to everyone
You are losing opportunities, if your presentations can only be played back on the computer with Microsoft PowerPoint installed. Converting them into Flash now, and your presentations can be played back every where, Windows, Linux, Macintosh and even Handheld PCs, because Flash is the most popular format in the world now!

Time saving
Instead of rebuilding all the presentations yourself, let your computer do it automatically with just a click on the Start button. Why not get more time to stay with your kids and enjoy your life?

No programming skill required
Your skills on composing presentations with PowerPoint are not obsolete, just continue making your presentations with PowerPoint, and then covert them into Flash later.


System requirements

Minimum system requirements for converting:
Windows 98/Me/2000/XP
With Microsoft PowerPoint 2000/XP/2003 installed

Minimum system requirements for playback:
Any system that can playback Flash, e.g.:
Windows 98/Me/NT/2000/XP, LINUX, Macintosh and Handheld PCs
No Microsoft PowerPoint required at all


How to Install / Uninstall

Installation
Double click on the downloaded file pfsetup.exe, and then follow the on screen prompt.

Uninstallation
Open 'Add/Remove Programs' in Control Panel and double-click on 'PowerPoint to Flash xx' in the list box.


How to convert your presentation into Flash

1. Click the Add button to add the PowerPoint presentation files.

2. Change the output directory by clicking the browse button, if needed.

3. Change the converting options if needed.

4. Click the Start button to begin the converting process! It's that easy.

Notes:

  • Depends on the size of your presentation files, this converting process may take several minutes. When it is finished, you will find the generated Flash files in the output directory.

  • All the sounds and animations will be lost after the conversion.


The Converting Options

General

  • Scale when the Flash window resizing
    To prevent fuzzy, the content of the Flash content was non-scalable by default. Check this option to make the Flash content scalable when resizing.

  • Include speaker notes as extra slides
    Check this item will also convert speaker notes into slides.

  • Include a blank slide at the end
    Check this option to add an extra blank page at the end of the original presentation, which makes it more similar to playing back from PowerPoint.

  • Disable the printing function
    Check this option to disable the context menu of Macromedia Flash player, then the end user can not print a hard copy of the presentation contents.

  • Opening the folder that contains the output SWF file
    Check this option to open the destination folder after the presentations were converted.

Quality

  • Frame Size
    Adjust the frame size of the output Flash file. Reduce this value may result a smaller file size.

  • JPEG quality
    Adjust the JPEG quality of the output Flash file. Reduce this value may result a smaller file size, however we do not suggest values below 60, which will dramatically decrease the presentation quality.

  • Font quality - Sharpen font edge
    Uncheck this item if you'd like to make the font looks more smooth.

Navigation

  • Show navigation panel
    Select this item to enable the navigation panel, which helps you go through the presentation.

  • Hide navigation panel
    Select this item to disable the navigation panel, and use keyboard and mouse to navigate the presentation.

  • Insert a navigation help at the beginning
    Check this option to insert a quick tour showing how to navigate the presentation with keyboard and mouse, since there is no visible navigation controller.

  • Directly go autoplay mode after the Flash was loaded
    Automatically start slide show right after the whole Flash was loaded, without any user interactive.

  • Endless loop
    Instead of stopping at the last slide in autoplay mode, the presentation will go to the first slide, thus lead to an endless loop.

  • Retrieve timing information from original presentation
    Select this item to merge original timing information into Flash. Auto play function will use this timing information to advance the slides.

  • Use the fix autoplay interval __ seconds
    Use the fixed interval to advance slides during the auto play mode.

  • Enable fading effect
    Check this item to enable the fading transition effects.

Output

  • Output each slide as a separated SWF file
    Select this item to generate multiple Flash files instead a single one, each of them contains only one slide.
    Note:
    If you enabled this option, PowerPoint to Flash will ignore the following items:
    1. Include a blank slide at the end
    2. Show navigation panel
    3. Insert a navigation help at the beginning
    4. Generate autorun file for CD burning

  • Use slide title as file name if possible
    Check this option to naming each slide by their title instead of the page number.

  • Generate HTML wrap file
    Check this item to generate a HTML page that contains the Flash file. When uploading to web server, we do suggest you to link this page as a reference of your presentation. It's better than directly link to the Flash file, cause it will not scale the Flash, which may cause lower graphic quality.

  • Generate autorun file for CD burning
    Check this item if you are planning to burning this presentation on to CD. Please put all the tree files (SWF, HTM and autorun) in the root directory of CD, and burning it. Then if the end user put your CD into their PCs, your presentation will be auto played.


How to view the converted presentation in Flash?

To playback the presentation, please drag the SWF file into an Internet Explorer window.

Following is a screen shot of the sample presentation.

It is pretty easy to navigate:

Using Mouse

  • With slideshow controller
    Click on "Prev", "Next" and "AutoPlay" button to navigate between slides.

  • Without slideshow controller
    Click the left 1/3 of the slide to move to previous page.
    Click the right 2/3 of the slide to move to next page.

Using Keyboard

Previous slide = Left arrow, Backspace
Next slide = Right arrow, Space, Enter
First slide = Up arrow, Page Up
Last slide = Down arrow, Page Down
AutoPlay / Pause = P


How to Order

PowerPoint to Flash is distributed as Shareware. You can freely download and try it for 30 uses. If you find it useful and decide to keep it over 30-use evaluation period, you should pay the registration fee.

Dreamingsoft, Inc. is proud to offer you a 14-Day Money-Back Guarantee. If for any reason you are not satisfied, simply let us know within 14 days of your purchase and we will give you a full refund right away. It's that easy.

The registration of PowerPoint to Flash v1.6 costs $49.95 per license. For more information, please refer End User License Agreement.

You may register PowerPoint to Flash through our registration service which accepts various kinds of payment, e.g.: Credit Card, FAX Ordering, Postal Mail, Phone and Purchase Order. Optional CD-ROM delivery and gift purchase are also available.

Please visit our ordering web site:
http://www.dreamingsoft.com/order.htm
For more information, please contact sales@dreamingsoft.com

The Benefits of Registration

  • Personal register key to unlock your copy into the registered version.
  • Full license to use the software beyond the 30-use evaluation period.
  • Free minor upgrading (e.g. 1.5 -> 1.8).
  • Discounted major upgrading (e.g. 1.5 -> 2.0).
  • Free technical support by e-mail.


How to upgrade

Please upgrade PowerPoint to Flash as follows:

  • Uninstall current version.
  • Download and install the latest version.

Note:
Minor upgrading (e.g. 1.2 -> 1.5):
Minor upgrading is free. If prompted, please use the original register key to active it.

Major upgrading (e.g. 1.5 -> 2.0):
Major upgrading is not free, however you will receive a special discount.


How to enter the registration key

Click on About button.

Click on Enter Key button.

Please paste Name and Key field from our email, and press OK.


FAQ

The generated SWF file was locked, when I tried to import it into my FLA file.
Due to the optimization of the SWF generating engine, all the contents will be flattened when you try to import it into MacroMedia Flash. If you want to reuse the generated SWF file, please create an empty Movie Clip and use its loadMovie method.

What is the difference between PowerPoint to Flash and the command line version?
The difference is the license type. The desktop version was designed to be installed on PC for personal usage. It has a friendly user interface. While the command line version was designed to be installed on server side for automation. Technically, they use the same converting engine.


Feedback and support

You are important to us, it's our pleasure and honor to receive your comments and suggestions.
Please contact us as follows:

  • For company news, exchanging links, software promotion, and other general information, please contact webmaster@dreamingsoft.com.
  • For sales information, please contact sales@dreamingsoft.com.
  • For product information, technical support and software update, please contact support@dreamingsoft.com.

Bug Report
We are trying every effort to make PowerPoint to Flash bug free, but if you still encounter one, please contact us at support@dreamingsoft.com with the following information. We apologized for the inconvenience to you.

  • The installed version of PowerPoint to Flash
  • The installed type and version of your operation system
  • The details of the problem you encountered. And if it is possible, please inform us how to reproduce it.
  • Please provide your registration code in case you are a registered user and our technical support staff will deal with your problem with priority.